Bug 18922

Summary: #REF in formulas modifying an existing workbook
Product: POI Reporter: John C. Tan <jtan>
Component: HSSFAssignee: POI Developers List <dev>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P3    
Version: 2.0-dev   
Target Milestone: ---   
Hardware: PC   
OS: All   
Attachments: Sample workbook with formula problem

Description John C. Tan 2003-04-10 22:25:08 UTC
If you downfill a formula into more than 9 rows in an existing workbook and 
save it, the formulas will contain #REF!.  This also occurs if you downfill a 
row containing a formula to more than 6 rows.  I used the BiffViewer and the 
length of the recsize and expression length does not seem to be correct when 
the error occurs.  They are off by 6 bytes.  This causes the formula record to 
be interpreted into a ExpPtg instead of a MultiplyPtg.  I can provide example 
excel files if needed.
Comment 1 John C. Tan 2003-04-10 22:34:30 UTC
Created attachment 5783 [details]
Sample workbook with formula problem
Comment 2 Danny Mui 2003-04-10 22:37:47 UTC
That's next on my todo list.  How do you downfill in Excel (Im not a user, just
a dealer)?

Thanks  
Comment 3 John C. Tan 2003-04-10 22:47:13 UTC
You can select the cell or row with the formula and then move the cursor to the 
lower right corner.  When the cursor changes to a thin black plus sign, you can 
drag it into the following rows.
Comment 4 Danny Mui 2003-05-08 00:12:35 UTC
Committed fix for this issue 05/07/2003